- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CWindowIcon Class Reference

List of all members.

## Detailed Description

Represents a window icon - only applicable on PC.

Date:
  01/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CWindowIcon.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CWindowIcon.hpp.

## Public Member Functions

- CWindowIcon (HICON icon)
- CWindowIcon (const long resourceId)
- CWindowIcon ()
- HICON getIcon () const
- void loadIcon (const CSystemString &path, const long resourceId=0)
- void loadIcon (const long resourceId)
- CWindowIcon & operator= (const CWindowIcon &icon)
- void setIcon (HICON icon)
- void unloadIcon ()
- virtual ~CWindowIcon ()

## Protected Attributes

- HICON m_icon

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CWindowIcon::CWindowIcon | ( |  | ) |

Construction

Exponent::GUI::Graphics::CWindowIcon::CWindowIcon | ( | const long | resourceId | ) |

Construction

Parameters:

  | resourceId | The resource id of the icon to load

Exponent::GUI::Graphics::CWindowIcon::CWindowIcon | ( | HICON | icon | ) |

Construction

Parameters:

  | icon | The icon to store

virtual Exponent::GUI::Graphics::CWindowIcon::~CWindowIcon | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

HICON Exponent::GUI::Graphics::CWindowIcon::getIcon | ( |  | ) | const

Get the icon

Return values:

  | HICON | The windows icon

void Exponent::GUI::Graphics::CWindowIcon::loadIcon | ( | const CSystemString & | path,
|  | const long | resourceId = `0` |
| ) |  |  |

Load an icon from a path

Parameters:

  | path | The path to the icon
  | resourceId | The resource id of the icon

void Exponent::GUI::Graphics::CWindowIcon::loadIcon | ( | const long | resourceId | ) |

Load a new icon from a resource

Parameters:

  | resourceId | The resource id of the icon to load

CWindowIcon& Exponent::GUI::Graphics::CWindowIcon::operator= | ( | const CWindowIcon & | icon | ) |

Assignment operator

Parameters:

  | icon | The icon to store

Return values:

  | CWindowIcon& | A reference to this

void Exponent::GUI::Graphics::CWindowIcon::setIcon | ( | HICON | icon | ) |

Set the icon to a new icon

Parameters:

  | icon | The icon to store

void Exponent::GUI::Graphics::CWindowIcon::unloadIcon | ( |  | ) |

Unload the current Icon

## Member Data Documentation

HICON Exponent::GUI::Graphics::CWindowIcon::m_icon`[protected]`

windows icon

Definition at line 122 of file CWindowIcon.hpp.